Country & Currency Endpoints
Reference data endpoints for countries and currencies.
Country Endpointsโ
Base Path: /api/countryโ
List Countriesโ
GET /api/country
Authorization: Bearer {token}
Returns all available countries with ISO codes.
Response:
{
"items": [
{ "id": "uuid", "isoCode": "US", "country": "United States" },
{ "id": "uuid", "isoCode": "GB", "country": "United Kingdom" }
],
"total": 195
}
Find by ISO Codeโ
GET /api/country?where={"isoCode":"US"}
Authorization: Bearer {token}
Currency Endpointsโ
Base Path: /api/currencyโ
List Currenciesโ
GET /api/currency
Authorization: Bearer {token}
Returns all available currencies with ISO codes.
Response:
{
"items": [
{ "id": "uuid", "isoCode": "USD", "currency": "US Dollar" },
{ "id": "uuid", "isoCode": "EUR", "currency": "Euro" }
],
"total": 160
}
Notesโ
- Countries and currencies are seeded during initial setup
- These are reference/lookup tables โ no CRUD operations needed
- Used by organization settings, invoices, and payments
Related Pagesโ
- Organization Endpoints โ org currency settings
- Invoice Endpoints โ invoice currency
- Payment Endpoints โ payment currency